       subroutine calcqlm (ilmax,ilmax2,nrp,rp,wrp,rlm,qlm)
c-------------------------------------------------------------------
c      This subroutine obtain Qlm values for the electron density
c-------------------------------------------------------------------
        use datos, only: neq
        implicit real*8 (a-h,o-z)
        integer :: nrp, ilmax, ilmax2
        real*8, dimension (:,:) :: rp(0:nrp-1,1:neq),
     &            wrp(0:nrp-1,1:neq), qlm(1:neq,0:ilmax2)
        real*8, dimension (:,:,:) :: rlm(0:nrp-1,1:neq,0:ilmax2)
c-----LOCAL VARIABLES:
        integer :: ic, l, m, lm, n
        real*8 :: xlm
c
c-----calculate 'qlm' values for the electron density
c
c-----loop over no equivalent centers
      do ic = 1, neq
c-----loop over angular quantum numbers (l,m)
       do l = 0, ilmax
        do m = -l, +l
         lm = l*(l+1) + m
c-----loop over radial grid points
         do n = 0, nrp-1
          xlm = rlm(n,ic,lm)*wrp(n,ic)
          qlm(ic,lm) = qlm(ic,lm) + (rp(n,ic)**l)*xlm
         enddo
        enddo
       enddo
      enddo
c
c.....end
c
      return
      end
