c-------------------------------------------------------------------------------------------
      subroutine write_rotmat (typ,ok)
c-------------------------------------------------------------------------------------------
      use datos, only : stdout1, neq1, ineq, rotop
      implicit real*8 (a-h,o-z)
      logical :: typ, ok
c-----LOCAL VARIABLES
      integer :: i, j

      if (.not.typ) then ! 'ineq' keyword
       if (ok) then ! rotation has been executed
        write (stdout1, fmt=100) ineq(neq1)
        do i = 1, 3
         write (stdout1, fmt=300) (rotop(i,j,neq1), j=1,3)
        enddo
       endif
      else ! 'all' keyword
       if (ok) then ! rotations have been executed 
        write (stdout1, fmt=200) 
        do i = 1, 3
         write (stdout1, fmt=300) (rotop(i,j,neq1), j=1,3)
        enddo
       endif
      endif         
c
c-----Formats
c
 100  format (1x,'Rlm(r) ROTATION FOR INEQUIVALENT ATOM',1x,i5,/,
     & 'ROTATION MATRIX:')
 200  format (1x,'Rlm(r) ROTATION FOR ALL ATOMS',/,
     & 'ROTATION MATRIX:')
 300  format (1x,3(e20.12))
c
c-----End of the subroutine
c
      return
      end subroutine
