       subroutine calcqntot ()
c-----------------------------------------------------------------------
c      This subroutine obtain Qnlmtot values for the electron density
c-----------------------------------------------------------------------
        use datos, only: neq, lpmin, npmin, brhoqnlm, rhoqnlm, qnlmtot
        implicit real*8 (a-h,o-z)
c-----LOCAL VARIABLES:
        integer :: ic, n, l, m, lm 
c-----loop over no equivalent centers
        do ic = 1, neq
c-----loop over orthogonal expansion
         do n = 0, npmin
c-----loop over angular quantum numbers (l,m)
          do l = 0, lpmin
           do m = -l, +l
            lm = l*(l+1) + m
            qnlmtot(ic,n,lm) = brhoqnlm(ic,n,lm) + rhoqnlm(ic,n,lm)
           enddo
          enddo 
         enddo
        enddo 
c
c.....end
c
      return
      end 
