       subroutine calcqtot ()
c-----------------------------------------------------------------------
c      This subroutine obtain Qlmtot values for the electron density
c-----------------------------------------------------------------------
        use datos, only: neq, lpmin, brhoqlm, rhoqlm, qlmtot
        implicit real*8 (a-h,o-z)
c-----LOCAL VARIABLES:
        integer :: ic, l, m, lm 
c-----loop over no equivalent centers
        do ic = 1, neq
c-----loop over angular quantum numbers (l,m)
         do l = 0, lpmin
          do m = -l, +l
           lm = l*(l+1) + m
           qlmtot(ic,lm) = brhoqlm(ic,lm) + rhoqlm(ic,lm)
          enddo
         enddo
        enddo 
c
c.....end
c
      return
      end 
