c---------------------------------------------------------------------------
      subroutine mod_elecME (numb)
c---------------------------------------------------------------------------
      use datos, only : TtildaLabel, TtildaList, eq1, eq2, ltot, 
     & ltotm, maxl, il0, slm, t1, t2, stdout1, faterr 
      use libreria, only : error 
      implicit real*8 (a-h,o-z)
      integer :: numb

c     "calcelecME" order (numb=1)
      if (numb.eq.1) then
       allocate(TtildaLabel(0:ltot+1,-ltot-1:ltot+1,0:ltot+1,
     & -ltot-1:ltot+1), stat=ier)
       if (ier.ne.0)
     &  call error ('mod_elecME','Cannot allocate TtildaLabel',
     & faterr)
       allocate(TtildaList(0:ltot+1,-ltot-1:ltot+1,0:ltot+1,
     & -ltot-1:ltot+1), stat=ier)
       if (ier.ne.0)
     &  call error ('mod_elecME','Cannot allocate TtildaList',
     & faterr)
       ltotm=2*ltot
       allocate (il0(0:ltotm), stat=ier)
       if (ier.ne.0)
     &  call error ('mod_elecME', 'Cannot allocate il0', faterr) 
       allocate (slm(0:ltotm*(ltotm+2)), stat=ier)
       if (ier.ne.0)
     &  call error ('mod_elecME', 'Cannot allocate slm', faterr)
       write (stdout1, fmt=100) eq1, eq2
       call cpu_time (t1)
       call calcelecME ()
       call cpu_time (t2)
       deallocate (TtildaLabel, TtildaList, stat=ier)
       if (ier.ne.0)
     & call error ('mod_elecME','Cannot deallocate TtildaLabel
     & and/or TtildaList', faterr)
       deallocate (slm, il0, stat=ier)
       if (ier.ne.0)
     &  call error ('mod_elecME','Cannot deallocate slm and/or
     & il0', faterr)
       call write_elecME (numb) 
c     "autcalcME" order (numb=2)
      else if (numb.eq.2) then 
       write (stdout1, fmt=200) eq1, eq2
       do ltot = 0, maxl
        allocate(TtildaLabel(0:ltot+1,-ltot-1:ltot+1,0:ltot+1,
     & -ltot-1:ltot+1), stat=ier)
        if (ier.ne.0)
     &   call error ('mod_elecME','Cannot allocate TtildaLabel',
     & faterr)
        allocate(TtildaList(0:ltot+1,-ltot-1:ltot+1,0:ltot+1,
     & -ltot-1:ltot+1), stat=ier)
        if (ier.ne.0)
     &   call error ('mod_elecME','Cannot allocate TtildaList',
     & faterr)
        ltotm=2*ltot
        allocate (il0(0:ltotm), stat=ier)
        if (ier.ne.0)
     &   call error ('mod_elecME', 'Cannot allocate il0', faterr)
        allocate (slm(0:ltotm*(ltotm+2)), stat=ier)
        if (ier.ne.0)
     &   call error ('mod_elecME', 'Cannot allocate slm', faterr)
        call cpu_time (t1)
        call calcelecME ()
        call cpu_time (t2)
        deallocate (TtildaLabel, TtildaList, stat=ier)
        if (ier.ne.0)
     &   call error ('mod_elecME','Cannot deallocate TtildaLabel
     & and/or TtildaList', faterr)
        deallocate (slm, il0, stat=ier)
        if (ier.ne.0)
     &   call error ('mod_elecME','Cannot deallocate slm and/or
     & il0', faterr)
        call write_elecME (numb)
       enddo
      endif
c
c-----Formats
c
 100  format ('Vee(ME) BETWEEN TWO TOPOLOGICAL ATOMS:',/,'PUNTUAL
     & CALCULATION BETWEEN',1x,i5,1x,'AND',1x,i5,1x,'TOPOLOGICAL
     & ATOMS')
 200  format ('Vee(ME) BETWEEN TWO TOPOLOGICAL ATOMS:',/,'ALL
     & CALCULATIONS BETWEEN',1x,i5,1x,'AND',1x,i5,1x,'TOPOLOGICAL ATOMS'
     & ,/,2x,'LTOT',1x,'VeeP(ME) (a.u)',10x,'VeeP(ME) (kJ/mol)',
     & 7x,'VeeO(ME) (a.u)',10x,'VeeO(ME) (kJ/mol)')
c
c-----End of the subroutine
c
      return
      end subroutine
