c
c----------------------------------------------------------------------
c
      subroutine rotmax ()
c
c-----------------------------------------------------------------------
c
       use datos, only : stdin1, line, word, warning, neq, 
     & neq1, eq1
       use libreria, only : setword, leng, setint, error, 
     &                      equiv  
       implicit real*8 (a-h,o-z)
c......LOCAL VARIABLES
       integer :: lp, i
       logical :: endrot, ok, ok2
c
c.................................................................
c
c
c-----Read conditions of the rotate
c
      endrot=.false.
      ok2=.false. 
 1    read (stdin1,500,end=2) line
      lp=1
      if (setword(word,line,lp)) then
        word=word(1:leng(word))
        if (word.eq.'endrotmat') then
         endrot=.true.
         goto 2
        else if (word.eq.'ineq') then
         if (.not.setint(eq1,line,lp)) then
          call error ('rotmax', 'Cannot find an atom',
     & warning)
          goto 1
         endif
         ok = equiv(eq1,neq1)
         if (.not.ok) then
          call error ('rotmax', 'eq1 is not an atom',
     & warning)
          goto 1
         endif 
         call readmat (.false.,ok2)
         call write_rotmat (.false.,ok2)
         goto 1
        else if (word.eq.'all') then
         neq1 = 1
         call readmat (.true.,ok2)
         call write_rotmat (.true.,ok2)
         goto 1
        else
         goto 1
        endif
      else
        goto 1
      endif     
c
 2    if (.not.endrot) then
       call error ('rotmax', 'Cannot find "endrotmat" order', warning)
       return
      endif   
c
c-----Formats
c
 500  format (a)

c
c-----End subroutine
c
      end subroutine
