c---------------------------------------------------------------------------
      subroutine write_pade(numb)
c---------------------------------------------------------------------------
      use datos, only : stdout1, m, n, cof, coft, resid, R, t1, t2
      use libreria, only : ratval
      implicit real*8 (a-h,o-z)
      integer :: numb
c.....LOCAL VARIABLES:
      real*8 :: x, Vee1, Vee2

      x=1.d0/R
      Vee1=ratval(x,cof,m,n)
      Vee2=Vee1*2625.5d0
      if (numb.eq.1) then
       write (stdout1,fmt=100) m,n,Vee1,Vee2,resid
      else if (numb.eq.2) then
       write (stdout1,fmt=200) m,n,Vee1,Vee2,resid
      endif
      write (stdout1,fmt=300) t2-t1
c
c---- Formats
c
 100  format ('DEGREE: NUMERATOR =',1x,i5,1x,'DENOMINATOR =',1x,i5,/,
     & 'Vee(ME) (a.u) =',1x,e23.16,1x,'Vee(ME) (kJ/mol) =',1x,e23.16,/,
     & 'NORM RESIDUAL VECTOR =',1x,e23.16)
 200  format (8x,i5,5x,i5,7x,e23.16,1x,e23.16,1x,e23.16)
 300  format ('TIME COMPUTATION PADE ENERGY =',1x,e23.16,1x,'SECONDS')
c
c-----End of the subroutine
c
      return
      end subroutine      
